<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Primeras etiquetas</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section class='portada' data-bespoke-state='portada'>
      <h1>Primeras etiquetas</h1>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">p</span></h2>
      <ul class="lista">
        <li>Párrafo</li>
        <li>Elemento de bloque</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code><span class="etiqueta">p</span>Esto es un párrafo<span class="etiqueta">/p</span>
<span class="etiqueta">p</span>Esto es otro párrafo<span class="etiqueta">/p</span></code></pre>
      <h4>Resultado:</h4>
      <p class="m-05">Esto es un párrafo</p>
      <p>Esto es otro párrafo</p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">strong</span></h2>
      <ul class="lista">
        <li>Marca el texto como importante</li>
        <li>Elemento de línea</li>
        <li>Representa importancia, seriedad o urgencia</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code><span class="etiqueta">strong</span>Recordad<span class="etiqueta">/strong</span> poner siempre las etiquetas de cierre.</code></pre>
      <h4>Resultado:</h4>
      <p class="m-05"><strong>Recordad</strong> poner siempre las etiquetas de cierre.</p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">em</span></h2>
      <ul class="lista">
        <li>Marca énfasis</li>
        <li>Elemento de línea</li>
        <li>Algo que produnciarías distinto</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code>No olvidar los <span class="etiqueta">em</span>corchetes<span class="etiqueta">/em</span> de apertura y cierre.</code></pre>
      <h4>Resultado:</h4>
      <p class="m-05">No olvidar los <em>corchetes</em> de apertura y cierre.</p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">b</span></h2>
      <ul class="lista">
        <li><del>Negrita</del></li>
        <li>Elemento de línea</li>
        <li>Texto a destacar, palabras clave, sin añadir importancia</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code>Este es un curso de <span class="etiqueta">b</span>Html<span class="etiqueta">/b</span> y <span class="etiqueta">b</span>Css<span class="etiqueta">/b</span>.</code></pre>
      <h4>Resultado:</h4>
      <p class="m-05">Este es un curso de <b>Html</b> y <b>Css</b>.</p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">i</span></h2>
      <ul class="lista">
        <li><del>Cursiva</del></li>
        <li>Elemento de línea</li>
        <li>Texto en diferente tono como otro idioma o términos técnicos</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code>Este ejemplo ha sido escrito <span class="etiqueta">i</span>ad hoc<span class="etiqueta">/i</span> para este curso.</code></pre>
      <h4>Resultado:</h4>
      <p class="m-05">Este ejemplo ha sido escrito <i>ad hoc</i> para este curso.</p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h3>Recomendación: evitar usar <span class="etiqueta">b</span> e <span class="etiqueta">i</span></h3>
      <ul class="lista">
        <li>En otros idiomas no queda claro</li>
        <li>En dispositivos para invidentes, de lectura.. no aporta significado</li>
      </ul>
      <h4>Más lectura:</h4>
      <p><a href="https://www.w3.org/International/questions/qa-b-and-i-tags">Using &lt;b> and &lt;i> elements</a></p>
      <p><a href="http://html5doctor.com/i-b-em-strong-element/">The i, b, em, &amp; strong elements</a></p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">q</span></h2>
      <ul class="lista">
        <li>Cita corta de texto</li>
        <li>Elemento de línea</li>
        <li>Si se trata de un texto de otra página, debería informarse con el atributo <span class="atributo">cite</span></li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code>Y entonces dijo: <span class="etiqueta">q</span>Esto es una cita.<span class="etiqueta">/q</span></code></pre>
      <h4>Resultado:</h4>
      <p class="m-05">Y entonces dijo: <q>Esto es una cita.</q></p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">blockquote</span></h2>
      <ul class="lista">
        <li>Cita de texto más largo que <span class="etiqueta">q</span></li>
        <li>Elemento de bloque</li>
        <li>Si se trata de un texto de otra página, debería informarse con el atributo <span class="atributo">cite</span></li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code><span class="etiqueta">blockquote <span class="atributo">cite</span><span class="valor">="https://www.elkartenet.eus"</span></span>
  .. la Asociación Elkartenet Hezkuntza Elkartea trata de llevar 
  adelante proyectos de revitalización educativa, asociativa y comercial soportados en 
  herramientas diseñadas con Software Libre..
<span class="etiqueta">/blockquote</span></code></pre>
      <h4>Resultado:</h4>
      <p>
        <blockquote cite="https://www.elkartenet.eus">
          .. la Asociación Elkartenet Hezkuntza Elkartea trata de llevar 
  adelante proyectos de revitalización educativa, asociativa y comercial soportados en 
  herramientas diseñadas con Software Libre..
        </blockquote>
      </p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">cite</span></h2>
      <ul class="lista">
        <li>Referencia a un trabajo creativo, se desaconseja incluir el nombre de la persona.</li>
        <li>Elemento de línea</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code>Richard Stallman suele sentenciar en su libro <span class="etiqueta">cite</span>Software libre para una sociedad libre<span class="etiqueta">/cite</span>
que <span class="etiqueta">q</span>El software libre es una cuestión de libertad: la gente debería de ser libre de usar el 
software de todas las formas consideradas socialmente útiles.<span class="etiqueta">/q</span></code></pre>
      <h4>Resultado:</h4>
      <p class="m-05">Richard Stallman suele sentenciar en su libro <cite>Software libre para una sociedad libre</cite> que <q>El software libre es una cuestión de libertad: la gente debería de ser libre de usar el software de todas las formas consideradas socialmente útiles.</q></p>
    </section>

    <section class="no-print pt-2" data-bespoke-state='pre-progress clean'>
      <h2>Ejercicio</h2>
      <h4>Texto</h4>
      <p class="font-size75">HTML, siglas en inglés de HyperText Markup Language (‘lenguaje de marcado de hipertexto’), hace referencia al lenguaje de marcado para la elaboración de páginas web.

        En 1991, Tim Berners-Lee, describe 18 elementos que incluyen el diseño inicial y relativamente simple de HTML. Trece de estos elementos todavía existen en HTML 4.
        
        Berners-Lee consideraba el HTML una ampliación de SGML, pero no fue formalmente reconocida como tal hasta la publicación a mediados de 1993, por la IETF (en español: Grupo de Trabajo de Ingeniería de Internet), de una primera proposición para una especificación del HTML: el borrador del Hypertext Markup Language de Berners-Lee y Dan Connolly, que incluía una Definición de Tipo de Documento SGML para definir la gramática. El borrador expiró a los seis meses, pero fue notable por su reconocimiento de la etiqueta propia del navegador Mosaic usada para insertar imágenes sin cambio de línea, que reflejaba la filosofía del IETF de basar estándares en prototipos con éxito. De la misma manera, el borrador competidor de Dave Raggett HTML+ (Hypertext Markup Format) (Formato de Marcaje de Hipertexto), de finales de 1993, sugería estandarizar características ya implementadas, como las tablas.
        
        Fuente: Wikipedia 
      </p>
      <h4>Resultado</h4>
      <img class="w-full" src="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio1/img/resultado.png?inline=false">
    </section>
  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>